local FOLDER_NAME, private = ...
local core = LibStub("AceAddon-3.0"):GetAddon(FOLDER_NAME)
local L = LibStub("AceLocale-3.0"):GetLocale(FOLDER_NAME)

local vangems ={
                ["id"] = {774, 5498, 818, 1210, 5500, 1206, 1705, 1529, 7971, 13929, 24478, 24479, 3864, 7909, 11382, 7910, 12361, 12799, 12800, 12364, 12363},
                ["strings"] = {L["Malachite"], L["Small Lustrous Pearl"], L["Tigerseye"], L["Shadowgem"], L["Iridescent Pearl"], L["Moss Agate"], L["Lesser Moonstone"], L["Jade"], L["Citrine"], L["Golden Pearl"], L["Black Pearl"], L["Shadow Pearl"], L["Jaggal Pearl"], L["Aquamarine"], L["Star Ruby"], L["Blood of the Mountain"], L["Blue Sapphire"], L["Large Opal"], L["Azerothian Diamond"], L["Huge Emerald"], L["Arcane Crystal"]},
                ["short"] = {L["Short_Malachite"], L["Short_Small Lustrous Pearl"], L["Short_Tigerseye"], L["Short_Shadowgem"], L["Short_Iridescent Pearl"], L["Short_Moss Agate"], L["Short_Lesser Moonstone"], L["Short_Jade"], L["Short_Citrine"], L["Short_Golden Pearl"], L["Short_Black Pearl"], L["Short_Shadow Pearl"], L["Short_Jaggal Pearl"], L["Short_Aquamarine"], L["Short_Star Ruby"], L["Short_Blood of the Mountain"], L["Short_Blue Sapphire"], L["Short_Large Opal"], L["Short_Azerothian Diamond"], L["Short_Huge Emerald"], L["Short_Arcane Crystal"]},
                ["color"] = {"32ff32", "e0ffff", "ffa62f", "f433ff", "fdd7e4", "52d017", "7dfdfe", "4ae75a", "ffe26b", "ffb039", "1569c7", "297ddb", "fff8dc", "75f5ca", "ff5449", "e1362b", "2b65ec", "ffc321", "f9f8f6", "5ffb17", "ffff28"}
                }
local bcgems ={
                ["id"] = {21929, 23077, 23079, 23107, 23112, 23117, 23436, 23437, 23438, 23439, 23440, 23441, 32227, 32228, 32229, 32230, 32231, 32249, 25867, 25868},
                ["strings"] = {L["Flame Spessarite"], L["Blood Garnet"], L["Deep Peridot"], L["Shadow Draenite"], L["Golden Draenite"], L["Azure Moonstone"], L["Living Ruby"], L["Talasite"], L["Star of Elune"], L["Noble Topaz"], L["Dawnstone"], L["Nightseye"], L["Crimson Spinel"], L["Empyrean Sapphire"], L["Lionseye"], L["Shadowsong Amethyst"], L["Pyrestone"], L["Seaspray Emerald"], L["Earthstorm Diamond"], L["Skyfire Diamond"]},
                ["short"] = {L["Short_Flame Spessarite"], L["Short_Blood Garnet"], L["Short_Deep Peridot"], L["Short_Shadow Draenite"], L["Short_Golden Draenite"], L["Short_Azure Moonstone"], L["Short_Living Ruby"], L["Short_Talasite"], L["Short_Star of Elune"], L["Short_Noble Topaz"], L["Short_Dawnstone"], L["Short_Nightseye"], L["Short_Crimson Spinel"], L["Short_Empyrean Sapphire"], L["Short_Lionseye"], L["Short_Shadowsong Amethyst"], L["Short_Pyrestone"], L["Short_Seaspray Emerald"], L["Short_Earthstorm Diamond"], L["Short_Skyfire Diamond"]},
                ["color"] = {"ff8040", "ff2400", "00ff22", "c974ff", "ffe42b", "306eff", "f62217", "8be102", "2ab3ff", "ffaf34", "fff133", "c974ff", "ff362b", "0dd6e1", "ffe62b", "8d38c9", "ffa500", "7fe817", "b6b6b4", "bcc6cc"}
                }
local lkgems ={
                ["id"] = {45054, 36917, 36920, 36923, 36926, 36929, 36932, 36784, 36783, 36918, 36921, 36924, 36927, 36930, 36933, 36919, 36922, 36925, 36928, 36931, 36934, 41266, 41334, 42225},
                ["strings"] = {L["Prismatic Black Diamond"], L["Bloodstone"], L["Sun Crystal"], L["Chalcedony"], L["Shadow Crystal"], L["Huge Citrine"], L["Dark Jade"], L["Siren's Tear"], L["Northsea Pearl"], L["Scarlet Ruby"], L["Autumn's Glow"], L["Sky Sapphire"], L["Twilight Opal"], L["Monarch Topaz"], L["Forest Emerald"], L["Cardinal Ruby"], L["King's Amber"], L["Majestic Zircon"], L["Dreadstone"], L["Ametrine"], L["Eye of Zul"], L["Skyflare Diamond"], L["Earthsiege Diamond"], L["Dragon's Eye"]},
                ["short"] = {L["Short_Prismatic Black Diamond"], L["Short_Bloodstone"], L["Short_Sun Crystal"], L["Short_Chalcedony"], L["Short_Shadow Crystal"], L["Short_Huge Citrine"], L["Short_Dark Jade"], L["Short_Siren's Tear"], L["Short_Northsea Pearl"], L["Short_Scarlet Ruby"], L["Short_Autumn's Glow"], L["Short_Sky Sapphire"], L["Short_Twilight Opal"], L["Short_Monarch Topaz"], L["Short_Forest Emerald"], L["Short_Cardinal Ruby"], L["Short_King's Amber"], L["Short_Majestic Zircon"], L["Short_Dreadstone"], L["Short_Ametrine"], L["Short_Eye of Zul"], L["Short_Skyflare Diamond"], L["Short_Earthsiege Diamond"], L["Short_Dragon's Eye"]},
                ["color"] = {"a4a0c6", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "2b60de", "bcc6cc", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "ff2400", "ffd801", "38acec", "893bff", "ffa500", "59e817", "b6b6b4", "bcc6cc", "f0ffff"}
                }
local catagems ={
                ["id"] = {52338, 52177, 52178, 52179, 52180, 52181, 52182, 52190, 52191, 52192, 52193, 52194, 52195, 71805, 71806, 71807, 71808, 71809, 71810, 52303, 52196},
                ["strings"] = {L["Darkfathom Pearl"], L["Carnelian"], L["Zephyrite"], L["Alicite"], L["Nightstone"], L["Hessonite"], L["Jasper"], L["Inferno Ruby"], L["Ocean Sapphire"], L["Dream Emerald"], L["Ember Topaz"], L["Demonseye"], L["Amberjewel"], L["Queen's Garnet"], L["Lightstone"], L["Deepholm Iolite"], L["Lava Coral"], L["Shadow Spinel"], L["Elven Peridot"], L["Shadowspirit Diamond"], L["Chimera's Eye"]},
                ["short"] = {L["Short_Darkfathom Pearl"], L["Short_Carnelian"], L["Short_Zephyrite"], L["Short_Alicite"], L["Short_Nightstone"], L["Short_Hessonite"], L["Short_Jasper"], L["Short_Inferno Ruby"], L["Short_Ocean Sapphire"], L["Short_Dream Emerald"], L["Short_Ember Topaz"], L["Short_Demonseye"], L["Short_Amberjewel"], L["Short_Queen's Garnet"], L["Short_Lightstone"], L["Short_Deepholm Iolite"], L["Short_Lava Coral"], L["Short_Shadow Spinel"], L["Short_Elven Peridot"], L["Short_Shadowspirit Diamond"], L["Short_Chimera's Eye"]},
                ["color"] = {"bcc6cc", "ff2400", "38acec", "ffd801", "893bff", "ffa500", "59e817", "ff2400", "38acec", "59e817", "ffa500", "893bff", "ffd801", "ff2400", "ffd801", "38acec", "ffa500", "893bff", "59e817", "b6b6b4", "f0ffff"}
                }
local mopgems ={
                ["id"] = {76130, 76133, 76134, 76135, 76136, 76137, 76142, 76138, 76140, 76141, 76131, 76139, 76132, 76734},
                ["strings"] = {L["Tiger Opal"], L["Lapis Lazuli"], L["Sunstone"], L["Roguestone"], L["Pandarian Garnet"], L["Alexandrite"], L["Sun's Radiance"], L["River's Heart"], L["Vermilion Onyx"], L["Imperial Amethyst"], L["Primordial Ruby"], L["Wild Jade"], L["Primal Diamond"], L["Serpent's Eye"]},
                ["short"] = {L["Short_Tiger Opal"], L["Short_Lapis Lazuli"], L["Short_Sunstone"], L["Short_Roguestone"], L["Short_Pandarian Garnet"], L["Short_Alexandrite"], L["Short_Sun's Radiance"], L["Short_River's Heart"], L["Short_Vermilion Onyx"], L["Short_Imperial Amethyst"], L["Short_Primordial Ruby"], L["Short_Wild Jade"], L["Short_Primal Diamond"], L["Short_Serpent's Eye"]},
                ["color"] = {"ffa500", "ffd801", "38acec", "893bff", "ff2400", "59e817", "ffd801", "38acec", "ffa500", "893bff", "ff2400", "59e817", "b6b6b4", "f0ffff"}
                }

private.vangems = vangems
private.bcgems = bcgems
private.lkgems = lkgems
private.catagems = catagems
private.mopgems = mopgems
